Yate: NaptrRecord Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
NaptrRecord Class Reference

A NAPTR record. More...

`#include <yateclass.h>`

Inheritance diagram for NaptrRecord:

## Public Member Functions
| NaptrRecord (int ttl, int ord, int pref, const char *flags, const char *serv, const char *regexp, const char *next)
bool | replace (String &str) const
virtual void | dump (String &buf, const char *sep=" ")
const String & | flags () const
const String & | serv () const
const Regexp & | regexp () const
const String & | repTemplate () const
const String & | nextName () const
Public Member Functions inherited from DnsRecord
| DnsRecord (int ttl, int order, int pref)
| DnsRecord ()
int | ttl () const
int | order () const
int | pref () const
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Protected Attributes
String | m_flags
String | m_service
Regexp | m_regmatch
String | m_template
String | m_next
Protected Attributes inherited from DnsRecord
int | m_ttl
int | m_order
int | m_pref

## Additional Inherited Members
Static Public Member Functions inherited from DnsRecord
static bool | insert (ObjList &list, DnsRecord *rec, bool ascPref)
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

A NAPTR record.

This class holds a NAPTR (Naming Authority Pointer) record

## Constructor & Destructor Documentation

NaptrRecord | ( | int | ttl,
|  | int | ord,
|  | int | pref,
|  | const char * | flags,
|  | const char * | serv,
|  | const char * | regexp,
|  | const char * | next
| ) |  |

Build a NAPTR record

Parameters

  ttl | Record Time To Live
  ord | Record order
  pref | Record preference
  flags | Interpretation flags
  serv | Available services
  regexp | Substitution expression
  next | Next name to query

## Member Function Documentation

virtual void dump | ( | String & | buf,
|  | const char * | sep = `" "`
| ) |  |
| virtual

Dump this record for debug purposes

Parameters

  buf | Destination buffer
  sep | Fields separator

Reimplemented from DnsRecord.

const String& flags | ( |  | ) | const
| inline

Retrieve record interpretation flags

Returns
  Record interpretation flags

const String& nextName | ( |  | ) | const
| inline

Retrieve the next domain name to query

Returns
  The next domain to query

const Regexp& regexp | ( |  | ) | const
| inline

Retrieve the regular expression match

Returns
  Regular expression used in match

bool replace | ( | String & | str | ) | const

Replace the enclosed template in a given string if matching the substitution expression

Parameters

  str | String to replace

Returns
  True on success

const String& repTemplate | ( |  | ) | const
| inline

Retrieve the template for replacing

Returns
  Template used to replace the match

const String& serv | ( |  | ) | const
| inline

Retrieve available services

Returns
  Available services

The documentation for this class was generated from the following file:

- yateclass.h